=== debian/changelog ===
log4cplus (1.0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * liblog4cplus-dev: Breaks+Replaces: liblog4cplus-1.0-4 (<< 1.0.4-1.1~)
    as /usr/lib/liblog4cplus.so was moved in the previous upload.
    (Closes: #756691)

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 07 Nov 2014 19:37:29 +0100

log4cplus (1.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Install *.so symlink in -dev package. Remove .la file. Closes #750553

 -- Mathieu Malaterre <malat@debian.org>  Sun, 29 Jun 2014 08:22:53 +0200

log4cplus (1.0.4-1) unstable; urgency=low

  [ Eric Kom ]
  * New upstream release
  * Fix the download upstream source link for debian/watch file.

  [ Andrew Pollock ]
  * Generally clean up and make Lintian-clean

 -- Andrew Pollock <apollock@debian.org>  Wed, 18 Jan 2012 22:38:12 -0800

log4cplus (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #578387)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 16 Apr 2010 17:46:34 +0900
