=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

# Add here any variable or target overrides you need.

#install/liblog4cplus::


DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-z,defs -Wl,--as-needed -lpthread"
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

binary-install/liblog4cplus-dev::
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

#configure/liblog4cpp5::
#	aclocal -I m4
#	autoconf
#	autoheader
#	automake --add-missing --copy
#	libtoolize --copy --force
