=== tests/performance_test/CMakeLists.txt ===
log4cplus_add_test(performance_test main.cxx)
