=== tests/timeformat_test/CMakeLists.txt ===
log4cplus_add_test(timeformat_test main.cxx)
