=== debian/changelog ===
log4cplus (1.1.2-4) unstable; urgency=medium

  [ Tobias Frost ]
  * Salvaging package (Closes: #969054).
  * Daigo Moriwaki has retired, removing him from the Uploaders list.
    Thanks for your work on the package! (Closes: #863771)
  * Dropping Eric Kom from the Uploaders list as well. Thanks for your work!
  * Updating S-B to 4.5.0:
    -  Change priority to optional.
    -  Set Rules-Requires-Root: no
  * Update VCS-fields to point to salsa.d.o.
  * Adding old upstream signing keys (for 1.1-2 version)
  * Pick up Guillems dep5 conversion work and add missing pieces.
  * Update homepage field in d/control to new upstream homepage.
  * Use ${DEB_HOST_MULTIARCH} to install multiarch libraries.
  * Add la library to debian/not-installed.
  * Add gbp.conf and gitlab-ci.yml
  * Cherry picking several patchs from Guillem. for details see
    see #929062 and the following section:

  [ Guillem Jover]
  * Migration to automatic dbgsym package.
  * Apply wrap-and-sort -sa
  * d/watch updated to version 4, enabling upstream signature check.
  * Convert to Machine-readable debian/copyright file.
  * Stop installing *.la files.
  * Install pkgconfig file. (Closes: #951321)
  * Remove debian/docs, as the contents are irrelevant.
  * Enable all hardening features, although relro gets disabled due to an
    apparent bug in binutils strip. (Closes: #761133)
  * Convert to debhelper-compat and bump compat level to 13. This allows one
    to drop dh_autoreconf from B-D and its --with stanza from d/rules.
  * Mark library and development packages as «Multi-Arch: same». (Closes: #811183)

 -- Tobias Frost <tobi@debian.org>  Thu, 24 Sep 2020 21:42:37 +0200

log4cplus (1.1.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ensure C++11 methods are present in the library. (Closes: #814905)

 -- James Cowgill <jcowgill@debian.org>  Mon, 08 Aug 2016 11:06:16 +0000

log4cplus (1.1.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replaces harcoded triplet by DEB_HOST_MULTIARCH for library symlink
    (Closes: #801305).

 -- Christian Marillat <marillat@debian.org>  Thu, 10 Dec 2015 15:48:34 +0100

log4cplus (1.1.2-3) unstable; urgency=low

  * Rebuild against unstable for library transition (closes: #796668)

 -- Andrew Pollock <apollock@debian.org>  Sun, 04 Oct 2015 21:04:05 +1000

log4cplus (1.1.2-2) experimental; urgency=medium

  * debian/liblog4cplus-dev.install: don't be so selective about what in
    /usr/include/log4cplus gets added

 -- Andrew Pollock <apollock@debian.org>  Sun, 23 Aug 2015 20:06:33 +1000

log4cplus (1.1.2-1) experimental; urgency=low

  * New upstream release
  * Incorporate previous NMUs (closes: #750553, #756691)
  * debian/control: bumped Standards-Version (no changes), increased versioned
    Build-Dependency on debhelper to 9
  * debian/compat: bump to 9 to get proper buildflags support
  * debian/*.install: added globbing to deal with architectures
  * debian/liblog4cplus9.install: added missing symlink to placate Lintian

 -- Andrew Pollock <apollock@debian.org>  Mon, 10 Aug 2015 21:23:23 +1000

log4cplus (1.0.4-3) unstable; urgency=low

  * debian/{rules,control}: add dh-autoreconf (closes: #734220)

 -- Andrew Pollock <apollock@debian.org>  Mon, 24 Feb 2014 10:19:59 +1000

log4cplus (1.0.4-2) unstable; urgency=low

  * Convert to using debhelper

 -- Andrew Pollock <apollock@debian.org>  Tue, 24 Jan 2012 21:54:01 -0800
