=== debian/control ===
Source: log4cplus
Section: libs
Priority: optional
Maintainer: Andrew Pollock <apollock@debian.org>
Uploaders:
 Eric Kom <erickom@kom.za.net>,
 Tobias Frost <tobi@debian.org>
Build-Depends:
 automake,
 debhelper-compat (= 13),
 doxygen,
 libtool
Standards-Version: 4.5.0
Homepage: https://sourceforge.net/p/log4cplus/wiki/Home
Vcs-Browser: https://salsa.debian.org/debian/log4cplus
Vcs-Git: https://salsa.debian.org/debian/log4cplus.git
Rules-Requires-Root: no

Package: liblog4cplus-1.1-9
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: C++ logging API modeled after the Java log4j API - shared library
 log4cplus is a simple to use C++ logging API providing thread-safe,
 flexible, and arbitrarily granular control over log management and
 configuration.  It is modeled after the Java log4j API.

Package: liblog4cplus-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 liblog4cplus-1.1-9 (= ${binary:Version}),
 ${misc:Depends}
Description: C++ logging API modeled after the Java log4j API - development library
 log4cplus is a simple to use C++ logging API providing thread-safe,
 flexible, and arbitrarily granular control over log management and
 configuration.  It is modeled after the Java log4j API.
 .
 This package contains the header files and static library for
 developers.
