=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND := --std=c++11
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='liblog4cplus-dbg (<< 1.1.2-4~)'

override_dh_link:
	dh_link -pliblog4cplus-dev \
	usr/lib/$(DEB_HOST_MULTIARCH)/liblog4cplus-1.1.so.9.0.0 \
	usr/lib/$(DEB_HOST_MULTIARCH)/liblog4cplus-1.1.so
